Межсайтовый скриптинг в KnowledgeTree Open Source

Дата публикации:
14.06.2006
Дата изменения:
29.12.2008
Всего просмотров:
747
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2885
CVE-2006-2886
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
KnowledgeTree Open Source 3.x
Уязвимые версии: KnowledgeTree Open Source 3.0.3, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "fDocumentId" в сценарии "view.php" и в параметре "fSearchableText" в сценарии "/search/simpleSearch.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.ktdms.com/products/knowledgetree/index.html

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: KnowledgeTree Open Source XSS vuln

или введите имя

CAPTCHA